Update Skill Tier 4
PATCH/api/skills/:idCopied!
Updates a workspace skill.
Pro plan required
Skill Registry is available on the Pro plan and higher.
YouViCo-managed skills
YouViCo-managed skills cannot use this endpoint.
Example
ts
await client.skills.update("SK1234567890ABCD", {
description: "Summarizes review comments.",
metadata: null,
allowedTools: null,
license: null,
default: { id: "SV1234567890ABCD" },
});bash
youvico skill update \
--id SK1234567890ABCD \
--description "Summarizes review comments." \
--clear-metadata \
--clear-allowed-tools \
--clear-license \
--default-version SV1234567890ABCDbash
curl -X PATCH 'https://api.youvico.com/api/skills/SK1234567890ABCD' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"description": "Summarizes review comments.",
"metadata": null,
"allowedTools": null,
"license": null,
"default": { "id": "SV1234567890ABCD" }
}'Request
Path
idstringrequired Skill ID
Body
namestring1-100 characters
Skill name
descriptionstring1-1024 characters
Skill description
metadataRecord<string, string>?String metadata stored with the skill
allowedToolsstring[]?Allowed tool identifiers
licensestring?Skill license
defaultobjectDefault version object
default.idstringDefault skill version ID
Example: SV1234567890ABCD
Response
Returns 204 No Content.